# PSF-LoginServer - master - net.psforever.objects.locker.LockerContainer
PSF - LoginServer - master - net.psforever.objects.locker.LockerContainer
Keywords: PSF LoginServer master net.psforever.objects.locker.LockerContainer

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package locker
  Definition Classes
    objects
- LockerContainer
- LockerContainerControl
- LockerEquipment

c

net.psforever.objects.locker

# LockerContainer 

###
Companion object LockerContainer

#### class LockerContainer extends PlanetSideServerObject with Container

The companion of a `Locker` that is carried with a player masquerading as their sixth `EquipmentSlot` object and a sub-inventory item. The inventory of this object is accessed indirectly using a game world `Locker` object (`mb_locker`) as a proxy. The `Player` class refers to it as the "fifth slot".

Source
  LockerContainer.scala

Linear Supertypes
Container, PlanetSideServerObject, ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LockerContainer
2. Container
3. PlanetSideServerObject
4. ZoneAware
5. FactionAffinity
6. PlanetSideGameObject
7. WorldEntity
8. IdentifiableEntity
9. Identifiable
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new LockerContainer(inventory: GridInventory)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
5.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
6.  def Collisions(index: Int, width: Int, height: Int): Try[List[InventoryItem]]

   Given a region of "searchable unit positions" considered as stowable, determine if any previously stowed items are contained within that region.
   Default usage, and recommended the continued inclusion of that use, is defined in terms of `Equipment` being stowed in a `GridInventory`.

   Given a region of "searchable unit positions" considered as stowable, determine if any previously stowed items are contained within that region.
   Default usage, and recommended the continued inclusion of that use, is defined in terms of `Equipment` being stowed in a `GridInventory`. Where the `Equipment` object is defined by the dimensions `width` and `height`, starting a search at `index` will search all positions within a grid-like range of numbers. Under certain searching conditions, this range may be meaningless, such as is the case when searching individual positions that are normal `EquipmentSlot` objects. Regardless, the value collected indicates the potential of multiple objects being discovered and maintains a reference to the object itself and the slot position where the object is located. (As any object can be discovered within the range, that is important.)

   index

     the position to start searching

   width

     the width of the searchable space

   height

     the height of the serachable space

   returns

     a list of objects that have been encountered within the searchable space

   Definition Classes
     Container
   See also

     `GridInventory.CheckCollisionsVar`

7.  def Continent: String
   Definition Classes
     ZoneAware
8.  def Continent_=(zoneId: String): String

   Give the entity a custom `Zone` identifier.

   Give the entity a custom `Zone` identifier.

   zoneId

     the custom identifier of the `Zone` object

   returns

     the identifier of the `Zone` object

   Definition Classes
     ZoneAware
9.  def Definition: EquipmentDefinition
   Definition Classes
     LockerContainer → PlanetSideGameObject
10.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
11.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
12.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
13.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
14.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      LockerContainer → FactionAffinity
15.  def Faction_=(fact: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      LockerContainer → FactionAffinity
16.  def Find(guid: PlanetSideGUID): Option[Int]

    Given globally unique identifier, if the object using it is stowed, attempt to locate its slot.

    Given globally unique identifier, if the object using it is stowed, attempt to locate its slot. All positions, `VisibleSlot` and `Inventory`, and wherever else, should be searchable.

    guid

      the GUID of the `Equipment`

    returns

      the index of the `EquipmentSlot`, or `None`

    Definition Classes
      Container
17.  def Find(obj: Equipment): Option[Int]

    Given an object, attempt to locate its slot.

    Given an object, attempt to locate its slot. All positions, `VisibleSlot` and `Inventory`, and wherever else, should be searchable.

    obj

      the `Equipment` object

    returns

      the index of the `EquipmentSlot`, or `None`

    Definition Classes
      Container
18.  def Fit(tile: InventoryTile): Option[Int]
    Definition Classes
      Container
19.  def Fit(obj: Equipment): Option[Int]
    Definition Classes
      Container
20.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
21.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
22.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

23.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
24.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
25.  def Inventory: GridInventory

    A(n imperfect) reference to a generalized pool of the contained objects.

    A(n imperfect) reference to a generalized pool of the contained objects. Having access to all of the available positions is not required. The entries in this reference should definitely include all unseen positions. The `GridInventory` returned by this accessor is also an implementation of `Container`.

    Definition Classes
      LockerContainer → Container
    See also

      `VisibleSlots`

26.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
27.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
28.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
29.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
30.  def ResetControl(): ActorRef
    Definition Classes
      PlanetSideServerObject
31.  def Slot(slotNum: Int): EquipmentSlot

    Access to all stowable positions on this object by index.
    All positions, `VisibleSlot` and `Inventory`, and wherever else, should be reachable.

    Access to all stowable positions on this object by index.
    All positions, `VisibleSlot` and `Inventory`, and wherever else, should be reachable. Regardless of the internal storage medium, the format of return is expected to be the same structure of object as the most basic storage component for `Equipment`, namely, `EquipmentSlot` objects. By default, it is expected to return an `EquipmentSlot` that can not be manipulated because it is `Blocked`.

    slotNum

      an index

    returns

      the searchable position identified by that index

    Definition Classes
      Container
    See also

      `OffhandEquipmentSlot`

32.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
33.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
34.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
35.  def VisibleSlots: Set[Int]

    A(n imperfect) reference to a generalized pool of the contained objects.
    Having access to all of the available positions is not required.

    A(n imperfect) reference to a generalized pool of the contained objects.
    Having access to all of the available positions is not required. Only the positions that can be actively viewed by other clients are listed.

    returns

      all of the affected slot indices

    Definition Classes
      LockerContainer → Container
    See also

      `Inventory`

36.  def Zone: Zone
    Definition Classes
      ZoneAware
37.  def Zone_=(zone: Zone): Zone

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    zone

      a reference to the `Zone` object

    returns

      a reference to the `Zone` object

    Definition Classes
      ZoneAware
38.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
39.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
40.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
41.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
42.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
43.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
44.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
45.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
46.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
47.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
48.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
49.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
50.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
51.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
52.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
53.  def toString(): String
    Definition Classes
      AnyRef → Any
54.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
55.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
56.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Container

### Inherited from PlanetSideServerObject

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped